GET /virtualservice/{uuid}/scaleoutstatus/
/virtualservice/{uuid}/scaleoutstatus/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"flow_distribution_algo": "string",
"ipc_encap_type": "string",
"num_vs_pkts_punted": 0,
"scaleout_type": "string",
"so_se_entries": [
{
"curr_num_local_flows": 0,
"curr_num_remote_flows": 0,
"has_hb_issues": false,
"ip_address": {
"addr": "string",
"type": "string"
},
"is_primary": false,
"num_vs_flows": 0,
"se_uuid": "string"
}
],
"total_num_vs_flows": 0,
"tunnel_mode": false,
"vs_uuid": "string"
}
Algorithm used by Primary SE of l2-scaleout VS to distribute flows to secondary SE's. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Encapsulation used for IPC messages between primary and secondary SE's. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Number of VS packets punted to remote SE's. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Type of VS Scaleout - L2 or ECMP. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Scaleout SE entries. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Cumulative number of VS flows that arrived for VS on the primary SE. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Set to True if return traffic is tunnelled back from secondary SE to primary SE. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
UUID of the Virtual Service. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/virtualservice/{uuid}/scaleoutstatus